<?php

namespace CouponsPlus\App\Conditions\Stubs\Filters;

use CouponsPlus\Original\Collections\Collection;
use CouponsPlus\App\Conditions\IntersectionFilter;
use CouponsPlus\App\Coupon\Abilities\DashboardCardData;

class ItemPrice implements DashboardCardData
{
    const TYPE = 'ItemPrice';
    const SET = IntersectionFilter::class;

    public static function getName() : string
    {
        return __('Price', 'coupons-plus-for-woocommerce');
    }

    public static function getDescription() : string
    {
        return __('Select the price of each eligible item', 'coupons-plus-for-woocommerce');
    }

    public static function getNotes(): array
    {
        return [];
    }

    public static function getUseCases(): Collection
    {
        return new Collection([]);
    }
}
